MSK4Text::DataFOD Struct Reference

structure which retrieves data information which correspond to a text position More...

`#include <MSK4Text.hxx>`

## Public Types

enum | Type { ATTR_TEXT, ATTR_PARAG, ATTR_PLC, ATTR_UNKN }
| different type which can be associated to a text position More...

## Public Member Functions

| DataFOD ()
| the constructor More...

## Public Attributes

Type | m_type
| the type of the attribute More...
long | m_pos
| the offset position of the text modified by this attribute More...
long | m_defPos
| the offset position of the definition of the attribute in the file More...
int | m_id
| an identificator (which must be unique by category) More...

## Detailed Description

structure which retrieves data information which correspond to a text position

## Member Enumeration Documentation

enum MSK4Text::DataFOD::Type

different type which can be associated to a text position

ATTR_TEXT: all text attributes (font, size, ...) ATTR_PARAG: all paragraph attributes (margin, tabs, ...) ATTR_PLC: other attribute (note, fields ... )

Enumerator
ATTR_TEXT |
ATTR_PARAG |
ATTR_PLC |
ATTR_UNKN |

## Constructor & Destructor Documentation

MSK4Text::DataFOD::DataFOD | ( |  | ) |

inline

the constructor

## Member Data Documentation

long MSK4Text::DataFOD::m_defPos

the offset position of the definition of the attribute in the file

int MSK4Text::DataFOD::m_id

an identificator (which must be unique by category)

Referenced by MSK4Text::readText().

long MSK4Text::DataFOD::m_pos

the offset position of the text modified by this attribute

Referenced by MSK4Text::mergeSortedLists(), MSK4Text::readFDP(), MSK4Text::readPLC(), and MSK4Text::readText().

Type MSK4Text::DataFOD::m_type

the type of the attribute

Referenced by MSK4Text::readFDP(), MSK4Text::readPLC(), and MSK4Text::readText().

The documentation for this struct was generated from the following file:

- MSK4Text.hxx